GET /whatsapp/accounts/{id}/templates

Message templates of the account's WABA

GET
/whatsapp/accounts/{id}/templates

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

WhatsApp account id

Query Parameters

status?string

APPROVED, PENDING, REJECTED, PAUSED, DISABLED, ...

name?string

Name contains

category?string

Only this category

Value in"MARKETING""UTILITY""AUTHENTICATION"
language?string

e.g. en_US

limit?integer

Maximum items (default 25, max 100)

Range1 <= value <= 100
Default25
after?string

next of the previous page

Response Body

{accountId, wabaId, templates, next}

application/json
  1. response
accountId?string
wabaId?string|null
templates?array<>
next?|

Pass as after

Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/accounts/string/templates'
Example Response
{  "accountId": "string",  "wabaId": "string",  "templates": [    {      "id": "string",      "name": "string",      "language": "string",      "category": "MARKETING",      "status": "string",      "components": [        {}      ],      "qualityScore": null,      "rejectedReason": "string",      "parameterFormat": "POSITIONAL"    }  ],  "next": "string"}